<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style>
    
    .container{
        display: grid;
        grid-template-columns: repeat(5, 1fr);
        grid-template-rows: repeat(12, 1fr);
        grid-template-areas: 
        "header header header header header"
        "header header header header header"
        "menu menu menu menu menu"
        "menu menu menu menu menu"
        "main main main main main"
        "main main main main main"
        "main main main main main"
        "main main main main main"
        "main main main main main"
        "main main main main main"
        "aside aside aside aside aside"
        "aside aside aside aside aside";
    }

    @media screen and (min-width: 360px) {
        .container{
            grid-template-areas: 
            "header header header header header"
            "header header header header header"
            "menu main main main main"
            "menu main main main main"
            "menu main main main main"
            "menu main main main main"
            "menu main main main main"
            "menu main main main main"
            "menu main main main main"
            "menu main main main main"
            "aside aside aside aside aside"
            "aside aside aside aside aside";
        }        
    }

    @media screen and (min-width: 800px) {
        .container{            
            grid-template-areas: 
            "header header header header header"
            "header header header header header"
            "menu main main main aside"
            "menu main main main aside"
            "menu main main main aside"
            "menu main main main aside"
            "menu main main main aside"
            "menu main main main aside"
            "menu main main main aside"
            "menu main main main aside"
            "menu main main main aside"
            "menu main main main aside";
        } 
    }
    
    .column
    {
        border-style: solid;
        border-color: white;
        border-width: 5px;
    }

    .header {
        background-color: red;      
        grid-area: header;
        height: 200px;  
    }

    .menu {
        background-color: greenyellow;   
        grid-area: menu;  
    }

    .main {
        background-color: navy;
        grid-area: main;  
    }

    .aside {
        background-color: purple;
        grid-area: aside;  
    }

    </style>
</head>
<body>
    <div class="container">
        <div class="header column"></div>
        <div class="menu column"></div>
        <div class="main column"></div>
        <div class="aside column"></div>
    </div>
</body>
</html>